Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.tools.benchmark.reporters
Class TextReporter

    java.lang.Object
      com.thoughtworks.xstream.tools.benchmark.reporters.TextReporter

All Implemented Interfaces:
  Reporter

    public class TextReporter

extends Object
implements Reporter

Reports results of Harness in text form designed for human reading.

Author:
  Joe Walnes
See Also:
  `Harness`, `Reporter`

Constructor Summary
`TextReporter()` Reports to System.out.
`TextReporter(PrintWriter out)`
`TextReporter(Writer out)`

Method Summary
`void` | `endBenchmark()` Benchmark has ended.
`void` | `endMetric(Metric metric)`
`void` | `endTarget(Target target)`
`void` | `metricFailed(Product product, Exception e)`
`void` | `metricRecorded(Product product, double result)`
`void` | `startBenchmark()` Benchmark has started.
`void` | `startMetric(Metric metric)`
`void` | `startTarget(Target target)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextReporter

    public TextReporter(PrintWriter out)

### TextReporter

    public TextReporter(Writer out)

### TextReporter

    public TextReporter()

  Reports to System.out.

Method Detail

### startBenchmark

    public void startBenchmark()

  Description copied from interface: `Reporter`
  Benchmark has started. This will always be called ONCE (and only once) BEFORE everything else.

  Specified by:
    `startBenchmark` in interface `Reporter`

### startMetric

    public void startMetric(Metric metric)

  Specified by:
    `startMetric` in interface `Reporter`

### startTarget

    public void startTarget(Target target)

  Specified by:
    `startTarget` in interface `Reporter`

### metricRecorded

    public void metricRecorded(Product product,
                               double result)

  Specified by:
    `metricRecorded` in interface `Reporter`

### metricFailed

    public void metricFailed(Product product,
                             Exception e)

  Specified by:
    `metricFailed` in interface `Reporter`

### endTarget

    public void endTarget(Target target)

  Specified by:
    `endTarget` in interface `Reporter`

### endMetric

    public void endMetric(Metric metric)

  Specified by:
    `endMetric` in interface `Reporter`

### endBenchmark

    public void endBenchmark()

  Description copied from interface: `Reporter`
  Benchmark has ended. This will always be called ONCE (and only once) AFTER everything else.

  Specified by:
    `endBenchmark` in interface `Reporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.